org.keycloak.component

## Class PrioritizedComponentModel

- java.lang.Object
- - org.keycloak.component.ComponentModel
  - - org.keycloak.component.PrioritizedComponentModel

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    CacheableStorageProviderModel

      public class PrioritizedComponentModel
      extends ComponentModel

  Version:
    $Revision: 1 $
  Author:
    Bill Burke
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Comparator<ComponentModel>` | `comparator`
    `static String` | `PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrioritizedComponentModel()`
    `PrioritizedComponentModel(ComponentModel copy)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPriority()`
    `static int` | `parsePriority(ComponentModel component)`
    `void` | `setPriority(int priority)`

    - ### Methods inherited from class org.keycloak.component.ComponentModel

      `contains, get, get, get, get, get, getConfig, getId, getName, getNote, getParentId, getProviderId, getProviderType, getSubType, hasNote, put, put, put, put, removeNote, setConfig, setId, setName, setNote, setParentId, setProviderId, setProviderType, setSubType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PRIORITY

          public static final String PRIORITY

      See Also:
        Constant Field Values

    - #### comparator

          public static Comparator<ComponentModel> comparator

  - ### Constructor Detail

    - #### PrioritizedComponentModel

          public PrioritizedComponentModel(ComponentModel copy)

    - #### PrioritizedComponentModel

          public PrioritizedComponentModel()

  - ### Method Detail

    - #### parsePriority

          public static int parsePriority(ComponentModel component)

    - #### getPriority

          public int getPriority()

    - #### setPriority

          public void setPriority(int priority)

Copyright © 2021 JBoss by Red Hat. All rights reserved.